
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IOS使用CFURLCreateStringByAddingPercentEscapes进行URL编码 / iVAN</title>

    <meta name="description" content="IOS使用CFURLCreateStringByAddingPercentEscapes进行URL编码 iOS程序访问HTTP资源时需要对URL进行UTF8编码,我在之前一直都喜欢使用NSString的stringByAddingPercentEscapesUsingEncoding方法进行编码.今天在使用Analyze分析工程时,提示下面的方法可能存在内存泄露: NSString *enString =(NSString *)CFURLCreateStringByAddingPercentEscapes(kCFAllocatorDefault, (CFStringRef)stringURL, N">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IOS使用CFURLCreateStringByAddingPercentEscapes进行URL编码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>iOS程序访问HTTP资源时需要对URL进行UTF8编码，我在之前一直都喜欢使用NSString的stringByAddingPercentEscapesUsingEncoding方法进行编码。今天在使用Analyze分析工程时，提示下面的方法可能存在内存泄露:<br />
NSString *enString =(NSString *)CFURLCreateStringByAddingPercentEscapes(kCFAllocatorDefault, (CFStringRef)stringURL, NULL, NULL, kCFStringEncodingUTF8);<br />
注意到这个方法也是一个编码方案，就查询了两种方式的区别，有些收获。额外学习UITabBarController隐藏tabBar以及addChildViewController<br />
stringByAddingPercentEscapesUsingEncoding方法有一个问题:不会转转URL中的”%&amp;?”等符号[这个很好理解，因为不好区分这些特殊字符到底是连接符号还是参数值]。这些字符在URL语法中有特殊的含义,如果在URL的参数中有这些字符，就需要转化为”%+ASCII”的形式。如果参数中存在这些字符，而我们又使用了stringByAddingPercentEscapesUsingEncoding方法，则服务器会将参数中的没有转义的&amp;当做分隔符，造成分析错误。因为我的工程中几乎没有在参数中存在%&amp;等符号的情况，所以一直用也没问题。但咱们还是要使用正规的方式。<br />
一般来说都是用:</p>
<table>
<tbody>
<tr>
<td>1 2 3 4 5 6</td>
<td>CFStringRef CFURLCreateStringByAddingPercentEscapes( CFAllocatorRef allocator, CFStringRef originalString, /*待转码的类型*/ CFStringRef charactersToLeaveUnescaped, /*指示不转义的字符*/ CFStringRef legalURLCharactersToBeEscaped,/*指示确定转义的字符*/ CFStringEncoding encoding); /*编码类型*/ </td>
</tr>
</tbody>
</table>
<p>方案就是单独编码参数值(如果编码整个URL的话会讲URL分割符&amp;等也编码),最后拼接成完整的字符串。<br />示例Demo如下:</p>
<table>
<tbody>
<tr>
<td>
1 2 3</td>
<td>
CFStringRef escaped = CFURLCreateStringByAddingPercentEscapes(NULL, (CFStringRef)self, NULL, (CFStringRef)@"!*'();:@&amp;=+$,/?%#[]",kCFStringEncodingUTF8); NSString *out = [NSString stringWithString:(NSString *)escaped]; CFRelease(escaped);//记得释放</td>
</tr>
</tbody>
</table>
<p>另外一个小知识点:<br />
在之前做图片切割时经常用到如下代码</p>
<table>
<tbody>
<tr>
<td>1 2</td>
<td>CGImageRef newImageRef = CGImageCreateWithImageInRect(sourceImageRef, rect); UIImage *newImage = [UIImage imageWithCGImage:newImageRef]; </td>
</tr>
</tbody>
</table>
<p>实际上这个代码会造成内存泄露，正确的方式是还需要释放newImageRef，如下:</p>
<table>
<tbody>
<tr>
<td>
1 2 3</td>
<td>
CGImageRef newImageRef = CGImageCreateWithImageInRect(sourceImageRef, rect); UIImage *newImage = [UIImage imageWithCGImage:newImageRef]; CGImageRelease(newImageRef);</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 10:29:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IOS使用CFURLCreateStringByAddingPercentEscapes进行URL编码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwmgnM.html" rel="bookmark">URL编码与SQL注射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编码|编码 说到url编码,你或许会想起N年前的url编码漏洞.可惜我是&quot;生不逢时&quot;啊,我接触网络时,那个漏洞早就绝迹咯.  言归正传,URL 编码是什么东东呢?看看我从网上抄的定义:  引用: url编码是一种浏览器用来打包表单输入的格式.浏览器从表单中获取所有的name和其中的值 ,将它们以name/value参数编码(移去那些不能传送的字符, 将数据排行等等)作为URL的一部分或者分离地发给服务器.不管哪种情况, 在服务器端的表单输入格式样子象这样:  theName=Ichab			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJYQvp.html" rel="bookmark">ASP技巧：URL编码与SQL注入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql|编码|技巧 说到url编码,你或许会想起N年前的url编码漏洞.可惜我是&quot;生不逢时&quot;啊,我接触网络时,那个漏洞早就绝迹咯. 言归正传,URL 编码是什么东东呢?看看我从网上抄的定义: 引用: url编码是一种浏览器用来打包表单输入的格式.浏览器从表单中获取所有的name和其中的值 ,将它们以name/value参数编码(移去那些不能传送的字符, 将数据排行等等)作为URL的一部分或者分离地发给服务器.不管哪种情况, 在服务器端的表单输入格式样子象这样: theName=Icha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAJD2p.html" rel="bookmark">混乱的URL编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				URL全称Uniform Resource Locator,直译为&quot;统一资源定位符&quot;,也就是网页地址,是互联网上任意角落都可以访问到的,言外之意是说,URL不受国别.种族.语言.编码差异的约束,是编码无关的.然而我们常常在浏览器中敲入诸如&quot;http://url/中文&quot;的url,也能正确访问,既然url中包含中文,那么如何让其他国家那些没有中文编码的计算机上也能访问到相同的网址呢? RFC 1738中对URL有明确规定,URL必须由英文字母.数字.和某些标点符号组成,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp51Lnp.html" rel="bookmark">URL编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文的目的是设计一个完成URL编码的C++类.在我曾经的项目中,我需要从 VC++ 6.0应用程序中POST数据,而这些数据需要进行URL编码.我在MSDN中查找 能根据提供的字符串生成URL编码的相关类或API,但我没有找到,因此我必须设 计一个自己的URLEncode C++类. URLEncoder.exe是一个使用URLEncode类的MFC对话框程序. 如何处理 一些特殊字符在Internet上传送是件棘手的事情, 经URL编码特殊处理,可以 使所有字符安全地从Internet传送.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6mQ3z.html" rel="bookmark">在Linux Shell下将汉字转换为Url编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在linux 的shell环境下有一个od命令可以将文件按不同的进制的ascii码输 出,该功能可以完成在linux shell下将汉字转换为url编码的任务. url编码是十六进制的形如%E6%9C%8D%E5%8A%A1%E5的字符串,test是包含 &quot;数据库网络,&quot;这几个字符的文件,以下命令输出: #od -t x /test 0000000 ddbefdca f8cde2bf 0a2ce7c2 0000014 该字符串对应的url编码为 %CA%FD%BE%DD%BF%E2%C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6E26z.html" rel="bookmark">Asp&period;net对url编码的转化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天突然遇到一个棘手的问题,就是对于url编码的转换. 大家上网的时候经常可以发现我们输入的汉字在url传输的时候是%xx%xx的形式. 如果我们需要提取上面的信息该怎么办呢?如果是通过类似index.aspx?name=%xx%xx还可以通过request取得值.所以不用管那么多.可是如果这些字符包含在一个地址里面,而不是参数,怎么办? 用Uri.UnescapeDataString()函数转化 后可以得到正确的中文编码. string ss = &quot;%e9%ab%98%e6%b8%85%e6%			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w8J8p.html" rel="bookmark">js和php对url编码的处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了关于js和php对url编码的处理方法,需要的朋友可以参考下 解决办法: 采用js对URL中的汉字进行escape编码.    代码如下: &lt;a href=&quot;&quot; onclick=&quot;window.open('product_list.php?p_sort='+escape('PHP开发资源网'));&quot;&gt;   这样点击链接后的效时:    引用:http://127.0.0.1/shop/product_list.php?p_sort=P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRw2QBp.html" rel="bookmark">国外url编码-国外的URL编码方式与国内的URL编码方式有什么不同？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 国外的URL编码方式与国内的URL编码方式有什么不同? 我最近做一个网站,在本地运行无误后发布到国外的服务器上运行时,有个特殊字符的链接不能识别,请问,这个的特殊字符让国外的服务器可以识别?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmGE5z.html" rel="bookmark">url 编码 js url传参中文乱码解决方案&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.配置文件web.config中 在节中加上整个网站的编码方式. &lt;globalization fileEncoding=&quot;GB2312&quot; requestEncoding=&quot;GB2312&quot; responseEncoding=&quot;GB2312&quot;/&gt; 这样参数就以gb2312的中文编码方式传输了.而一般默认是utf-8. 2.在传参是先编码在传输,接受时先编码,在接收. string mm=Server.URLEncode(你); Res			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1R3op.html" rel="bookmark" class="title">关于支付系统中的同步通知和异步通知电商的区别，为什么需要通知</a>
					<div>
						问题描述 关于支付系统中的同步通知和异步通知电商的区别,为什么需要通知 在电商对应的支付系统中当支付完成之后需要做相关的同步通知和异步通知操作,请大神解释一下什么是同步通知和异步通知,为什么需要同步通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4NxJM.html" rel="bookmark" class="title">【Python】字符串的换行 和 引入其他py文件</a>
					<div>
						1. 如果你的字符串很长,那么改如何处理呢? 直接回车是不行的,就像这样子: python提供了3中方式可以用来对很长的字符串进行换行显示 A. 三个'号   B. 三个&quot;号 C. 在第一行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqxPkb.html" rel="bookmark" class="title">明确核心目的是研究用户体验首先要做的事</a>
					<div>
						&quot;如Google中国吴卓浩说:用户体验作为浅层参与产品改进比较容易,进行深层次的改进则推进比较困难.用户体验的提议&quot;看上去很美&quot;,但常被质疑缺乏可靠的依据.数据说明而难以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDZXXM.html" rel="bookmark" class="title">在DataGrids和DropDownLists中使用ADO</a>
					<div>
						ado|datagrid 这是一篇关于使用可重用代码绑定ADO数据到控件的文章. 介绍ADO是一种功能非常强大的从数据库中读取数据的技术,但是它也使人很容易搞糊涂,连接数据到DataGrid或其他控件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKe66p.html" rel="bookmark" class="title">C&num;优化字符串操作（经验之谈二）</a>
					<div>
						5.url传递中文的解决方案 1.设置web.config文件. &lt;system.web&gt; ...... &lt;globalization requestEncoding=&quot;g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE92db.html" rel="bookmark" class="title">CoCoa编程中视图控制器与视图类介绍</a>
					<div>
						UITabBarController类 选项卡类允许用户在多个视图控制器之间移动并在屏幕的底部可定制该栏.向不同的视图同时提供一次单击访问,向用户选择的屏幕和编辑底栏的屏幕同时提供More按钮. 选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2jk1M.html" rel="bookmark" class="title">Photoshop给古桥加上唯美的日出效果</a>
					<div>
						  Photoshop给古桥加上唯美的日出效果           最终效果 原图 1.把原图素材大图保存到本机,然后用PS打开;创建可选颜色调整图层,对黄色,绿色进行调整,参数及效果如下图. 2.按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4wajp.html" rel="bookmark" class="title">gif动态图片怎么加文字</a>
					<div>
						  1.在qq聊天框里面插入图片. 2.将鼠标放在图片上,会出现一个选择框,点击上面的涂鸦,然后就可以编辑图片了. 3,编辑好图片点击完成就行了,这时候文字就加好了,很方便. 设置好参数 点击输入水印 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7LvVb.html" rel="bookmark" class="title">用ps两分钟做个xhtml&plus;css的网站首页</a>
					<div>
						xhtml+css网站重构web标准等等之类的文章太多了,我就不重复了,发个最简单的制作xhtml+css页面的方法,方法虽然很简单,但真不一定有几个人知道.... 起码google搜索没搜索到. 开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZJE9b.html" rel="bookmark" class="title">MPlayer for Windows为你带来意想不到的播放体验</a>
					<div>
						安装向导 MPlayer默认安装目录为C:Program Files,安装时可自定义安装目录,下一步至安装完成. MPlayer快捷键 在MPlayer软件的帮助里可以查看全部热键信息,方便查询. S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK7BoM.html" rel="bookmark" class="title">Swoole PHP高性能编程</a>
					<div>
						其实超出浏览器,PHP仍有用武之地,Linux上PHP通过pcntl.posix.sysvshm.sysvmsg.libevent. swoole.proctitle等PECL扩展支持,用纯PHP就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42O69M.html" rel="bookmark" class="title">kinect采集的深度png图，如何将png图中的数据转化为真实的距离数据？</a>
					<div>
						问题描述 kinect采集的深度png图,如何将png图中的数据转化为真实的距离数据? kinect采集的深度png图,如何将png图中的数据转化为真实的距离数据? 解决方案 深度png本身就是深度数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQKPOp.html" rel="bookmark" class="title">Q&plus;应用给力推荐 在线精彩不容错过</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 Q+应用市场上线的应用已达1.6万种,如何将丰富的热门应用推送给新老用户,为用户提供完善的服务?朝着这一目标努力,Q+对应用推荐体系进行了系统的优化设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YnNrM.html" rel="bookmark" class="title">link中如何编写中间件，中间件如何访问数据，又怎么返回数据？代码怎么写？</a>
					<div>
						问题描述 link中如何编写中间件,中间件如何访问数据,又怎么返回数据?代码怎么写? link中如何编写中间件,中间件如何访问数据,又怎么返回数据?代码怎么写? 解决方案 参考我在http://ask ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6vO9b.html" rel="bookmark" class="title">高手们给小弟推荐几本学SSH的书呗！</a>
					<div>
						问题描述 高手们给小弟推荐几本学SSH的书呗! 解决方案 解决方案二:尚学堂的视频吧,我觉得如果水平不高看书学习的进度很慢!!因为分别不出那里是重点..					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRn1Kp.html" rel="bookmark" class="title">微软发布IE开发者渠道版：提前体验IE12雏形</a>
					<div>
						微软今天发布了一个特别的IE版本: IE开发者渠道(Internet Explorer Developer Channel),这是一个全功能的浏览器,旨在让Web开发人员和测试人员更早地接触微软正在开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RqJVb.html" rel="bookmark" class="title">电商研发方案&mdash;&mdash;产品模型业务分析和设计</a>
					<div>
						一.方案概述 &lt;Craft6.cn 电子商务研发方案http://www.aliyun.com/zixun/aggregation/9636.html&quot;&gt;产品模型业务分析和设计& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0xD5p.html" rel="bookmark" class="title">谁能帮我写个在QQ游戏里自动发言的程序</a>
					<div>
						问题描述 如题 解决方案 解决方案二:自动发言?写的程序要嵌入到哪里??解决方案三:学习,帮你顶哈解决方案四:关注....解决方案五:按键精灵能用吗解决方案六:两种思路.1.找到QQ消息窗口的句柄,发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJd2Qp.html" rel="bookmark" class="title">Docker日志收集新方案：fluentd-pilot</a>
					<div>
						今天,我们将隆重介绍一款新的docker日志收集工具:fluentd-pilot Github项目地址:https://github.com/AliyunContainerService/fluent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ng70z.html" rel="bookmark" class="title">赢家通吃 趋于理性 团购业&OpenCurlyDoubleQuote;马太效应&rdquo;显现</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 技术部门裁员40%.高管离职.资金链断裂--IPO折戟后的拉手网近期不断面对外界和媒体的质疑. &quot;发现竞争对手四处造谣,又是撤退,又是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5v1ap.html" rel="bookmark" class="title">转一篇NGINX&plus;UWSGI&plus;PYTHON&plus;DJANGO部署文档</a>
					<div>
						高远弄的,,专业,明晓..感谢哈哈.   http://blog.csdn.net/tmpbook/article/details/42873667  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RvgWz.html" rel="bookmark" class="title">趣味解说：移动互联网 VS 传统互联网</a>
					<div>
						趣味解说:移动互联网 VS 传统互联网 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协议 转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYmA8b.html" rel="bookmark" class="title">Nginx批量添加二级子域名完美方案&lowbar;nginx</a>
					<div>
						对于批量添加虚拟主机的需求,Apache 有 vhost_alias 模块帮忙.Nginx 呢?其实神马都不需要,同样可以实现 Nginx 二级域名匹配子文件夹,且不匹配 &quot;www&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmA8ap.html" rel="bookmark" class="title">Swift语言实现地图坐标弹跳动画&lowbar;Swift</a>
					<div>
						下面应用Swift语言做地图坐标实现弹簧跳动的效果,具体实现方法如下所示: iOS动画大概分这几种: CoreAnimation动画(基础)UIView动画(animateWithDuration开头 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1ZlBb.html" rel="bookmark" class="title">C&num; Base64编码&lowbar;实用技巧</a>
					<div>
						一. Base64的编码规则        Base64编码的思想是是采用64个基本的ASCII码字符对数据进行重新编码.它将需要编码的数据拆分成字节数组.以3个字节为一组.按顺序排列24 位数据,再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkVWlp.html" rel="bookmark" class="title">1000万辆汽车VIN识别码数据被泄，小心买到克隆车！</a>
					<div>
						目前已经发现一个汽车数据库被泄露至网络当中,数据库囊括美国本土出售的上千万辆汽车以及相关购买者的个人信息.受这起泄露影响的汽车经销商包括Acura(讴歌).BMW(宝马). Chrysler(克莱斯勒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoR7nM.html" rel="bookmark" class="title">阿里云成为 Linux 基金会金牌会员！</a>
					<div>
						2 月 20 日,全球知名非营利性组织 Linux 基金会宣布,阿里云正式成为 Linux 基金会金牌会员.阿里云表示将持续加大对开源项目的支持,并发挥自己的力量. 阿里云是中国唯一一家 Linux  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm8lPb.html" rel="bookmark" class="title">Storm ack和fail机制再论</a>
					<div>
						之前对这个的理解有些问题,今天用到有仔细梳理了一遍,记录一下   首先开启storm tracker机制的前提是, 1. 在spout emit tuple的时候,要加上第3个参数messageid  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqgNXb.html" rel="bookmark" class="title">Avaya网络技术助澳大利亚财政部高效运转</a>
					<div>
						澳大利亚联邦政府的中央经济部门--澳大利亚财政部(以下简称&quot;财政部&quot;)已部署Avaya软件定义的网络架构Avaya SDN Fx,为下属各部门的日常运转.以及联邦预算等重要的政策的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK9Qdz.html" rel="bookmark" class="title">做个旅游网类 大概多少价码</a>
					<div>
						问题描述 做个旅游网大概多少价码 解决方案 本帖最后由 za46779276 于 2011-12-09 16:49:32 编辑解决方案二:嗬嗬,我以前在一家旅游网站干过有30多个程序员在维护.你认为要 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
